Subject: Re: [PATCH 7/6] Re: [PATCH 2/6] pkt_sched: sch_htb: Consider used jiffies in htb_dequeue()

From: Patrick McHardy <[email-masked]>
Date: Wed, 28 Jan 2009 17:20:36 +0100

Jarek Poplawski wrote:
> On 12-01-2009 11:22, Patrick McHardy wrote:
>> It you don't mind adding the workqueue, I certainly would prefer
>> it, but I'm also fine with this patch. I don't have a HTB setup
>> or a testcase for this specific case, otherwise I'd simply do it
>> myself.
> 
> Here is an example of this workqueue. I hope I didn't miss your point,
> but since I didn't find much difference in testing, I'd prefer not to
> sign-off/merge this yet, at least until there are many reports on
> "too many events" problem, and somebody finds it useful.

No, this seems to be exactly what I meant. The differnce - yeah, it
shouldn't make much, mainly wake up the qdisc earlier (but not too
early) after "too many events" occured _and_ no further enqueue
events wake up the qdisc anyways.